| Home | Libraries | People | FAQ | More

## Function template find_if_not

boost::compute::find_if_not

## Synopsis

    // In header: <boost/compute/algorithm/find_if_not.hpp>

    template<typename InputIterator, typename UnaryPredicate>
      InputIterator
      find_if_not(InputIterator first, InputIterator last,
                  UnaryPredicate predicate,
                  command_queue & queue = system::default_queue());

## Description

Returns an iterator pointing to the first element in the range [`first`, `last`) for which `predicate` returns `false`.

See Also:

find_if()